:root {
  /* Valor maximo para ser usado nos media querys */
  --max-mobile-width: 768px;

  /* Cores padrões */
  --julio-primary: #5bc0de;
  --julio-primary-alternative: #337ab7;
  --julio-primary-med: #00549b;
  --julio-primary-dark: #013957;
  --julio-secondary: #a4c53d;
  --julio-secondary-lighter: #c0e352;
}

.flex-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.carousel .carousel-inner .item img {
  width: 100% !important;
}

.footer-two {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: bottom;
}

.footer-two .btn.news-btn {
  width: 100%;
}

.panel-card {
  margin-bottom: 0 !important;
  min-height: 140px;
}

.panel-row {
  padding: 0 18px 12px 18px !important;
}

.sca-search {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.sca-search .sca-search-inputs input {
  width: 400px;
  max-width: 95vw;
}

.sca-search .sca-search-inputs button i {
  margin-right: 6px;
}

.sca-search .sca-subtitles {
  text-align: right;
}

.table-sca table thead {
  position: sticky;
  top: 50px;
}

.sca-alert p {
  line-height: inherit !important;
  margin-top: 8px;
}

.cart-top {
  display: flex;
  gap: 12px;
  align-items: center;
  justify-content: center;
  margin-bottom: 32px;
}

.cart-top * {
  color: var(--julio-primary-dark);
  margin: unset;
}

.cart-top i {
  font-size: 36px;
}

.cart-payment-top {
  display: flex;
  gap: 8px;
  justify-content: end;
}

label[for="estoque_checkbox"] {
  margin: unset;
  font-weight: normal;
}

.order-select-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6px;
}

.order-select-container select#order-select {
  border-radius: 0px;
  width: auto;
  height: 42px !important;
  padding-top: 6px;
  padding-bottom: 6px;
  font-weight: bold;
  font-size: 16px;
  color: rgb(147, 152, 155);
  min-width: 200px;
  max-width: 95vw;
}

.order-select-container label {
  font-weight: normal;
}

.cupom-temporario {
  background-color: var(--julio-secondary);
  box-shadow: 0 0 10px lightgrey inset;
}

.cupom-temporario .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  min-height: 42px;
}

.cupom-temporario * {
  color: var(--julio-primary-dark);
  font-weight: bold;
}

.products-page-title {
  margin-bottom: 24px;
}

/* Remover a seta padrão no Internet Explorer */
select::-ms-expand {
  display: none;
}

/* ----------------------------------------------------
  Variação 1: Flat Style (Moderno)
---------------------------------------------------- */
.custom-select.flat {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-color: #fff;
  border: 2px solid lightgray;
  border-radius: 4px;
  padding: 10px 40px 10px 12px;
  font-size: 16px;
  background-image: url('data:image/svg+xml;charset=US-ASCII,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="%233498db"><polygon points="0,0 16,0 8,10"/></svg>');
  background-repeat: no-repeat;
  background-position: right 5% top 60%;
  background-size: 12px;
  transition: border-color 0.3s;
}

.custom-select.flat:focus {
  outline: none;
  border-color: var(--julio-primary-alternative);
}

/* ----------------------------------------------------
  Switch Checkbox
---------------------------------------------------- */
.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 22px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 14px;
  width: 14px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: var(--julio-primary);
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--julio-primary);
}

input:checked + .slider:before {
  -webkit-transform: translateX(18px);
  -ms-transform: translateX(18px);
  transform: translateX(18px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

/* ----------------------------------------------------

/* Styling para mobile */
@media screen and (max-width: 768px) {
  .section-padding {
    padding: 20px 0;
  }

  .products-page-title {
    margin-bottom: 12px;
  }

  .order-select-container {
    display: block;
  }

  .order-select-container select#order-select {
    width: 100%;
  }

  .cupom-temporario .container {
    justify-content: center;
    flex-direction: column;
    gap: 16px;
  }

  .footer-two {
    background-position: unset;
  }

  .sidebar-widget:last-child {
    margin-bottom: 24px;
  }

  .panel-row {
    padding: 0 18px 18px 18px !important;
  }

  .sca-search {
    width: 100vw;
    padding: 12px 2.5vw;
    overflow: hidden;
    flex-direction: column;
  }

  .sca-search .sca-search-inputs {
    display: flex;
    position: relative;
    margin-bottom: 12px;
  }

  .sca-search .sca-search-inputs input {
    margin: 0 !important;
    height: 100%;
    border-color: var(--julio-primary-dark) !important;
  }

  .sca-search .sca-search-inputs button {
    position: absolute;
    right: 0;
    top: 0;
    color: white;
    background-color: var(--julio-primary-dark);
  }

  .sca-search .sca-search-inputs button span {
    display: none;
  }

  .sca-search .sca-search-inputs button i {
    margin-right: 0;
  }

  .sca-search .sca-subtitles {
    text-align: center;
  }

  .table-sca {
    max-width: 100vw !important;
    max-height: 75vh;
    overflow-y: auto;
  }

  .table-sca table thead {
    top: 0;
  }

  .cart-payment-top {
    justify-content: center;
  }

  .cart-top {
    gap: 6px;
    flex-direction: column;
  }

  .cart-top i {
    font-size: 48px;
  }

  .quantity-field-area {
    display: flex;
    gap: 8px;
    align-items: center;
  }

  .quantity-field-area label {
    font-size: 11px;
    margin: unset !important;
  }

  .exibicao-title {
    margin-top: 8px;
  }
}

#pedido-alert {
  text-align: center;
  font-size: 18px;
  line-height: 32px;
  animation: alert-anim 1s infinite alternate;
  font-weight: bold;
  color: black;
  box-shadow: 0 0 10px var(--julio-secondary);
  margin-top: 18px;
}

#pedido-alert a {
  color: var(--julio-primary-alternative);
}

.btn-full {
  width: 100%;
}

.btn-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}

@keyframes alert-anim {
  0% {
    box-shadow: 0 0 10px var(--julio-secondary);
    background-color: var(--julio-secondary-lighter);
    scale: 1;
  }
  100% {
    box-shadow: 0 0 20px var(--julio-secondary-lighter);
    background-color: var(--julio-secondary);
    scale: 1.01;
  }
}
